%define ver_major 2.28

# Make use of Beagle
%def_enable search
# Embed a playlist functionality based on libtotem
%def_enable playlist
%def_enable cdrkit
%def_disable cdrtools

Name: brasero
Version: %ver_major.3
Release: alt0.M51.1

Summary: CD/DVD burning tool for GNOME.
Url: http://www.gnome.org/projects/brasero/

License: %gpl2plus
Group: Archiving/Cd burning

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2
Patch: %name-2.27.90-alt-link.patch
Patch1: %name-2.28.1-alt-button-underline.patch

Requires(post,preun): GConf
Requires: lib%name = %version-%release

Requires: dvd+rw-tools
#Requires: cdrecord
Requires: cdrkit
Requires: mkisofs
Requires: cdrdao

# to make vcd or video dvd
Requires: dvdauthor vcdimager gst-plugins-bad

BuildPreReq: gnome-common rpm-build-gnome rpm-build-licenses

# From configure.in
BuildPreReq: glib2-devel >= 2.6.0
BuildPreReq: libgtk+2-devel >= 2.11.6
BuildPreReq: libgnomeui-devel >= 2.10.0
BuildPreReq: gnome-vfs-devel >= 2.14.2
BuildPreReq: gstreamer-devel >= 0.10.15
BuildPreReq: gst-plugins-devel >= 0.10.0
BuildPreReq: libxml2-devel >= 2.6.0
BuildPreReq: libburn-devel >= 0.4.0
BuildPreReq: libisofs-devel >= 0.6.4
%{?_enable_search:BuildPreReq: libbeagle-devel >= 0.3.0}
%{?_enable_playlist:BuildPreReq: libtotem-devel >= 2.22.0}
BuildPreReq: libdbus-glib-devel >= 0.7.2
BuildPreReq: intltool >= 0.35.0
BuildPrereq: libdbus-glib-devel >= 0.7.2
BuildPrereq: libhal-devel >= 0.5
BuildPrereq: libgio-devel >= 2.15.5
BuildPreReq: gnome-doc-utils > 0.3.2
BuildPreReq: gtk-doc >= 1.3
BuildRequires: libSM-devel libunique-devel
# for nautilus extension
BuildRequires: libeel-devel libnautilus-devel
# playlist support
BuildRequires: libtotem-pl-parser-devel evolution-data-server-devel

%description
Brasero is an application to burn CD/DVD for the Gnome Desktop. It is designed
to be as simple as possible and has some unique features to enable users to
create their discs easily and quickly.

%package -n lib%name
Summary: Shared library for Brasero CD/DVD burning application
Group: System/Libraries

%description -n lib%name
Brasero is an application to burn CD/DVD for the Gnome Desktop. It is designed
to be as simple as possible and has some unique features to enable users to
create their discs easily and quickly.

This package provides shared library required for Brasero to work.

%package -n lib%name-devel
Summary: Development files and libraries for Brasero CD/DVD burning application
Group: Development/C
Requires: %name = %version-%release

%description -n lib%name-devel
Brasero is an application to burn CD/DVD for the Gnome Desktop. It is designed
to be as simple as possible and has some unique features to enable users to
create their discs easily and quickly.

This package provides files and library required to develop applications
that use libbrasero.

%package -n lib%name-devel-doc
Summary: Development documentation for Brasero CD/DVD burning application
Group: Development/C
BuildArch: noarch
Conflicts: lib%name < %version

%description -n lib%name-devel-doc
Brasero is an application to burn CD/DVD for the Gnome Desktop. It is designed
to be as simple as possible and has some unique features to enable users to
create their discs easily and quickly.

This package provides usefull documentation to develop applications
that use libbrasero.

%package nautilus
Summary: Nautilus extension for the Brasero CD/DVD burning application
Group: Archiving/Cd burning
Requires: %name = %version-%release

%description nautilus
This package provides integration with the Brasero for the Nautilus file
manager.

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
gtkdocize
%autoreconf
%configure \
	--enable-libburnia \
	%{subst_enable search} \
	%{subst_enable playlist} \
	%{subst_enable cdrkit} \
	%{subst_enable cdrtools} \
	--enable-preview \
	--enable-inotify \
	--enable-caches \
	--disable-static \
	--disable-schemas-install \

%make

%install
%make DESTDIR=%buildroot install

%find_lang --with-gnome %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/*
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%_libdir/%name/plugins/lib%name-cdrdao.so
%_libdir/%name/plugins/lib%name-dvdcss.so
%_libdir/%name/plugins/lib%name-dvdrwformat.so
%_libdir/%name/plugins/lib%name-genisoimage.so
%_libdir/%name/plugins/lib%name-growisofs.so
%_libdir/%name/plugins/lib%name-libburn.so
%_libdir/%name/plugins/lib%name-libisofs.so
%_libdir/%name/plugins/lib%name-local-track.so
%_libdir/%name/plugins/lib%name-checksum.so
%_libdir/%name/plugins/lib%name-checksum-file.so
%_libdir/%name/plugins/lib%name-normalize.so
%_libdir/%name/plugins/lib%name-readom.so
%_libdir/%name/plugins/lib%name-toc2cue.so
%_libdir/%name/plugins/lib%name-transcode.so
%_libdir/%name/plugins/lib%name-wodim.so
%_libdir/%name/plugins/lib%name-dvdauthor.so
%_libdir/%name/plugins/lib%name-vcdimager.so
%_libdir/%name/plugins/lib%name-vob.so
%_libdir/%name/plugins/lib%name-burn-uri.so

%if_enabled cdrtools
%_libdir/%name/plugins/lib%name-cdrecord.so
%_libdir/%name/plugins/lib%name-readcd.so
%_libdir/%name/plugins/lib%name-mkisofs.so
%endif

%_desktopdir/%name.desktop
%dir %_datadir/%name
%_datadir/%name/*
%_iconsdir/hicolor/??x??/apps/%name.png
%_iconsdir/hicolor/scalable/apps/%name.svg
%_man1dir/%name.1.gz
%_datadir/mime/packages/%name.xml
%config %_sysconfdir/gconf/schemas/%name.schemas

%exclude %_libdir/%name/plugins/lib%name-*.la

%files nautilus
%_libdir/nautilus/extensions-2.0/libnautilus-brasero-extension.so
%_datadir/applications/brasero-nautilus.desktop
%_desktopdir/%name-copy-medium.desktop
%_desktopdir/%name-nautilus.desktop

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%files -n lib%name-devel-doc
%_datadir/gtk-doc/html/*

%exclude %_libdir/nautilus/extensions-2.0/libnautilus-%name-extension.la

%changelog
* Fri Dec 18 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.3-alt0.M51.1
- build for 5.1 branch

* Mon Dec 14 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.3-alt1
- 2.28.3

* Wed Oct 21 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.2-alt2
- 2.28.2

* Sat Oct 10 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.1-alt2
- fixed "Last Unsaved Project" button property (shrek@)

* Thu Oct 08 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.1-alt1
- 2.28.1

* Tue Sep 22 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt1
- 2.28.0

* Sun Sep 20 2009 Yuri N. Sedunov <aris@altlinux.org> 2.27.92-alt2
- cdrtools support disabled (shrek@)
- requires cdrkit

* Thu Sep 10 2009 Yuri N. Sedunov <aris@altlinux.org> 2.27.92-alt1
- 2.27.92

* Wed Aug 26 2009 Yuri N. Sedunov <aris@altlinux.org> 2.27.91-alt1
- 2.27.91
- updated buildreqs

* Wed Jul 01 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.3-alt1
- 2.26.3

* Sun Jun 21 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.2-alt2
- requires dvd+rw-tools, cdrecord, mkisofs, cdrdao (closes #20521)

* Tue May 19 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.2-alt1
- 2.26.2

* Tue Apr 14 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt1
- 2.26.1

* Mon Mar 16 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0

* Thu Mar 12 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.92-alt1
- 2.25.92

* Mon Feb 02 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.90-alt1
- 2.25.90
- new libbrasero, brasero-devel{,-doc} packages

* Sun Dec 14 2008 Yuri N. Sedunov <aris@altlinux.org> 0.8.4-alt1
- new version

* Mon Nov 10 2008 Yuri N. Sedunov <aris@altlinux.org> 0.8.3-alt1
- 0.8.3
- new nautilus subpackage
- playlist support via libtotem-pl-parser

* Mon Sep 15 2008 Yuri N. Sedunov <aris@altlinux.org> 0.8.2-alt1
- new version

* Tue Aug 12 2008 Yuri N. Sedunov <aris@altlinux.org> 0.8.1-alt1
- new version
- requires dvdauthor, vcdimager, gst-plugins-bad for video
  projects.

* Sat Jul 19 2008 Yuri N. Sedunov <aris@altlinux.org> 0.8.0-alt1
- new version

* Thu Jul 03 2008 Yuri N. Sedunov <aris@altlinux.org> 0.7.91-alt1
- new version.
- updted reqs.
- playlist functionality based on libtotem temporarily disabled -
  new totem required.
- don't built help files 

* Fri Mar 07 2008 Alexey Rusakov <ktirf@altlinux.org> 0.7.1-alt3
- Rebuilt with new libburn and libisofs.
- Fixed desktop files categories (thanks to repocop).
- Temporarily disabled libburn/libisofs plugins.

* Sat Mar 01 2008 Alexey Rusakov <ktirf@altlinux.org> 0.7.1-alt2
- Added %%update_menus/%%clean_menus to the package scripts (thanks to
  repocop).

* Mon Jan 28 2008 Alexey Rusakov <ktirf@altlinux.org> 0.7.1-alt1
- New version (0.7.1).
- Updated buildreqs.

* Wed Dec 26 2007 Alexey Rusakov <ktirf@altlinux.org> 0.7.0-alt1
- New version (0.7.0).
- Updated buildreqs (including buildreq on libburn-devel >= 0.4.0).
- Turned integration with Beagle back on (new libbeagle is required now).

* Tue Dec 18 2007 Alexey Rusakov <ktirf@altlinux.org> 0.6.90-alt1
- New version (0.6.90).
- Updated the files list.
- Use license macro.
- Disabled Beagle because of incompatibility with new libbeagle.
- Added configure switches to include all (except search) possible plugins.

* Sat Sep 22 2007 Alexey Rusakov <ktirf@altlinux.org> 0.6.1-alt1.1
- rebuilt with new libisofs.

* Fri Sep 14 2007 Alexey Rusakov <ktirf@altlinux.org> 0.6.1-alt1
- new version 0.6.1 (with rpmrb script)

* Mon Jun 25 2007 Alexey Rusakov <ktirf@altlinux.org> 0.5.90-alt3
- spec cleanup, updated dependencies

* Thu Jun 21 2007 Andrii Dobrovol`s`kii <dobr@iop.kiev.ua> 0.5.90-alt2
- build with libburn.

* Thu Jun 21 2007 Andrii Dobrovol`s`kii <dobr@iop.kiev.ua> 0.5.90-alt1
- build with totem and beagle.

* Sat Jun 16 2007 Andrii Dobrovol`s`kii <dobr@iop.kiev.ua> 0.5.2-alt0
- initial build for ALT Linux (Sisyphus) with help from Alexey Rusakov.

